import csv
import plac

def update_path(csv_path):
    assert csv_path.endswith(".rtd.csv")

    updated = [["solver", "budget", "cost", "succeeded", "answer"]]

    with open(csv_path) as csv_file:
        reader = csv.reader(csv_file)

        reader.next()

        for (row_solver, _, row_budget, row_cost, row_succeeded) in reader:
            updated.append([row_solver, row_budget, row_cost, row_succeeded, None])

    new_path = csv_path[:-8] + ".runs.csv"

    with open(new_path, "w") as new_file:
        writer = csv.writer(new_file)

        writer.writerows(updated)

    print csv_path, "+>", new_path

def main(*paths):
    for path in paths:
        update_path(path)

if __name__ == "__main__":
    plac.call(main)

